using System;
using System.ComponentModel.DataAnnotations;

namespace Rainbow.Models
{
    public class Credentials : IAuditInfo
    {
        [Key]
        public int Id { get; set; }

        [Display(Name = "Dienst")]
        public string ServiceName { get; set; }

        [Required, Display(Name = "Benutzername")]
        public string UserName { get; set; }

        [Required, Display(Name = "Passwort")]
        public string Password { get; set; }

        [Display(Name = "Anmerkungen")]
        public string Comments { get; set; }

        [Required, Display(Name = "Erstellt")]
        public DateTime Created { get; set; }

        [Display(Name = "Erstellt von")]
        public string CreatedBy { get; set; }

        [Required, Display(Name = "Geändert")]
        public DateTime LastModified { get; set; }

        [Display(Name = "Geändert von")]
        public string LastModifiedBy { get; set; }
    }
}